package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @author hushichao
 * @date 2023.04.26 18:00
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitcomStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;


    private Nidgrp oldnidgrp;

    private ComselVo comsel;


    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }

        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
    }

}
